package body MSHTML.IHTMLBodyElement5_Object is

   procedure Put_onpopstate
     (This : IHTMLBodyElement5_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLBodyElement5_Put_onpopstate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onpopstate;

   function Get_onpopstate
     (This : IHTMLBodyElement5_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLBodyElement5_Get_onpopstate);
   end Get_onpopstate;

end MSHTML.IHTMLBodyElement5_Object;

